%define eclipse_base %{_libdir}/eclipse
# We want the version to match that shipped in Eclipse's Orbit project
%define qualifier 20081021

Name:           sat4j
Version:        2.3.5
Release:        1
Summary:        A library of SAT solvers written in Java

Group:          Development/Java
License:        EPL and LGPLv2
URL:            http://www.sat4j.org/
# Created by sh %{name}-fetch.sh
Source0:        %{name}-%{version}.tar.xz
Source1:        %{name}-fetch.sh
Patch0:		%{name}-classpath.patch
#BuildRequires:  java-devel >= 1.6
BuildRequires:  java-1.7.0-openjdk-devel
BuildRequires:  java-rpmbuild
BuildRequires:  ant
Requires:       java >= 1.6
Requires:       jpackage-utils

BuildArch:      noarch

%description
The aim of the SAT4J library is to provide an efficient library of SAT
solvers in Java. The SAT4J library targets first users of SAT "black
boxes", those willing to embed SAT technologies into their application
without worrying about the details.

%prep
%setup -q
%patch0

pushd lib
        ln -s /usr/share/java/commons-beanutils.jar
        ln -s /usr/share/java/commons-logging.jar
        ln -s /usr/share/java/mockito.jar mockito-all-1.9.5.jar
popd

%build
ant -Dbuild.compiler=modern -Drelease=%{version} \
 -Dtarget=1.5 -DBUILD_DATE=%{build_date} p2

%install
install -d -m 755 %{buildroot}%{_javadir}
cp -rp dist/%{version}/org.sat4j.core.jar \
 %{buildroot}%{_javadir}
cp -rp dist/%{version}/org.sat4j.pb.jar \
 %{buildroot}%{_javadir}

%clean

%files
%{_javadir}/org.sat4j*

%changelog
* Mon Jul 07 2014 Denis Silakov <denis.silakov@rosalab.ru> 2.3.5-1
+ Revision: 597b5ab
- Updated to 2.3.5


